import { request } from '/src/utils/service';


const apiPrefix = '/api/choice/goods/';

export function getCardData(query: any) {
  return request({
    url: apiPrefix + 'card/',
    method: 'GET',
    params: query,
  });
}

export function getTableData(query: any) {
  return request({
    url: apiPrefix,
    method: 'GET',
    params: query,
  });
}

export function getPlatformDetailOverview(query: any) {
  return request({
    url: apiPrefix + 'platform/',
    method: 'GET',
    params: query,
  });
}

export function getImportTemplateNotice() {
  return request({
    url: apiPrefix + 'alarm/import_data/',
    method: 'GET',
  });
}
export function getImportTemplateProduct() {
  return request({
    url: apiPrefix + 'import_data/',
    method: 'GET',
  });
}
export function getImportTemplatePrice() {
  return request({
    url: apiPrefix + 'GuidancePrice/import_data/',
    method: 'GET',
  });
}

export function getCurrentInfo(query: any) {
  return request({
    url: apiPrefix + 'current/',
    method: 'GET',
    params: query,
  });
}

export function getHistoryInfo(query: any) {
  return request({
    url: apiPrefix + 'past/',
    method: 'GET',
    params: query,
  });
}

export function getComputerInfo(query: any) {
  return request({
    url: apiPrefix + 'computer/',
    method: 'GET',
    params: query,
  });
}

export function getShopSelect() {
  return request({
    url: apiPrefix + 'box/',
    method: 'GET',
  });
}
export function getCompanySelect() {
  return request({
    url: '/api/assets/company/box/',
    method: 'GET',
  });
}

export function updateShopDetail(body: any) {
  return request({
    url: apiPrefix + `${body.id}/`,
    method: 'POST',
    params: { partial: body.partial },
    data: body.formData,
  });
}
